Subject: bug#76739: 31.0.50; Register previews cannot be disabled

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Mar 2025 13:57:27 +0200

> From: Rudolf Adamkovič <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Mon, 10 Mar 2025 19:16:34 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Perhaps "non-empty registers" instead of "registers that have values"?
> >
> > Is it really better?  Someone might think, for example, that a
> > register whose value is an empty string could be considered "empty".
> > We don't use the word "empty" anywhere in the "Registers" node of the
> > Emacs manual.  Doc strings do use that, though.  So maybe do both:
> >
> >   Whether register commands should show preview of registers with
> >   non-nil values.
> 
> Good point!  I apologize for not consulting the manual first.  Thanks
> for the guidance!  Let me try again.  The manual says:
> 
>   All of the commands that prompt for a register will by default display
>   a preview window that lists the existing registers (if there are any)
>   and their current values, after a short delay.
> 
>   [Later, the manual also says "show" instead of "display".]
> 
> To match the existing terminology, we could say:
> 
>   Whether register commands show preview of current register values.

And then someone comes up complaining that we don't show nil values?

What was wrong with my last suggestion that required removing the
"non-nil" part?